---
lang: en
title: 'API docs: typeorm.applicationusingtypeorm'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/typeorm
permalink: /doc/en/lb4/apidocs.typeorm.applicationusingtypeorm.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/typeorm](./typeorm.md) &gt; [ApplicationUsingTypeOrm](./typeorm.applicationusingtypeorm.md)

## ApplicationUsingTypeOrm interface

<b>Signature:</b>

```typescript
export interface ApplicationUsingTypeOrm extends Application 
```
<b>Extends:</b> [Application](./core.application.md)

## Methods

|  Method | Description |
|  --- | --- |
|  [connection(options)](./typeorm.applicationusingtypeorm.connection.md) |  |
|  [migrateSchema()](./typeorm.applicationusingtypeorm.migrateschema.md) |  |


